summaryrefslogtreecommitdiff
path: root/tests/cp/slink-2-slink
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/slink-2-slink')
-rwxr-xr-xtests/cp/slink-2-slink56
1 files changed, 56 insertions, 0 deletions
diff --git a/tests/cp/slink-2-slink b/tests/cp/slink-2-slink
new file mode 100755
index 0000000..c36b882
--- /dev/null
+++ b/tests/cp/slink-2-slink
@@ -0,0 +1,56 @@
+#!/bin/sh
+# `test cp --update A B' where A and B are both symlinks that point
+# to the same file
+
+# Copyright (C) 2000, 2002, 2004, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ cp --version
+fi
+
+. $srcdir/../envvar-check
+
+# Make sure we get English translations.
+. $srcdir/../lang-default
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
+trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0
+trap 'exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp
+
+touch file || framework_failure=1
+ln -s file a || framework_failure=1
+ln -s file b || framework_failure=1
+ln -s no-such-file c || framework_failure=1
+ln -s no-such-file d || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+cp --update --no-dereference a b || fail=1
+cp --update --no-dereference c d || fail=1
+
+(exit $fail); exit $fail